<script setup>
    import { onMounted, ref } from 'vue';

    const props = defineProps({
        modelValue: {
            type: String,
            default: ''
        },
        items: {
            type: Array,
            default: []
        },
        selectedValue: {
            type: String,
            default: ''
        }
    });

    // props.modelValue ? props.items : props.items.unshift('');

    defineEmits(['update:modelValue']);

    const select = ref('');

    onMounted(() => {
        if (select.value.hasAttribute('autofocus')) {
            select.value.focus();
        }
    });

    defineExpose({ focus: () => select.value.focus() });

    function selectItem(item, value, index) {
        if (value) {
            if (item == value) {
                return true;
            }
        }
        if (!value) {
            if (index == 0) {
                return true;
            }
        }
    }
</script>

<template>
    <select
        name="select"
        ref="select"
        @change="$emit('update:modelValue', $event.target.value)"
        class="border-gray-300 focus:border-indigo-300 focus:ring focus:ring-indigo-200 focus:ring-opacity-50 rounded-md shadow-sm"
    >
        <option
            v-for="(item, index) in props.items"
            :key="index"
            :value="item"
            :selected="item == props.modelValue"
        >
            {{ item }}
        </option>
    </select>
</template>
